Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3177 closed defect (fixed)

Replace/update POSIX Compliance Guide

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: doc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The POSIX Compliance Guide was never converted from texinfo. Beyond that, it is out of date and follows the outline of the printed version of the POSIX standard which no one sees anymore. This ticket proposes:

  1. new Sphinx document
  2. contents generated from POSIX API tracking spreadsheet (CSV)
  3. outline per .h file, not functional area
  4. use bullets, not tables so easier to format

Change History (4)

comment:1 Changed on 10/11/17 at 22:37:09 by Joel Sherrill

Component: admindoc
Milestone: 4.12.0
Owner: set to Joel Sherrill
Status: newassigned

comment:2 Changed on 10/12/17 at 19:29:47 by Chris Johns

Owner: changed from Joel Sherrill to Chris Johns

Add waf support to convert the CSV file to ReST.

comment:3 Changed on 10/13/17 at 01:26:12 by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"2804294c6c1858553cff6f7b355fe8a5ba9a7259/rtems-docs" 2804294/rtems-docs]:

posix-compliance: Add automatic generation of the ReST file from CSV data.

Closes #3177.

comment:4 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.